Bug 196516 - selinux policy doesn't allow nscd to work
selinux policy doesn't allow nscd to work
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-23 17:25 EDT by Jack Neely
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-20 20:01:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jack Neely 2006-06-23 17:25:07 EDT
Description of problem:

I use hesiod for user/group information with nscd to not overload my DNS
servers.  Running "id jjneely" I get quite a few AVCs and then "id: jjneely: No
such user"

Jun 23 17:23:31 rpath kernel: audit(1151097811.628:507): avc:  denied  { send }
for  pid=2010 comm="nscd" saddr=152.1.4.77 src=32769 daddr=152.1.1.161 dest=53
netif=eth0 scontext=system_u:system_r:nscd_t:s0
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
Jun 23 17:23:31 rpath kernel: audit(1151097811.628:508): avc:  denied  { send }
for  pid=2010 comm="nscd" saddr=152.1.4.77 src=32769 daddr=152.1.1.206 dest=53
netif=eth0 scontext=system_u:system_r:nscd_t:s0
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
Jun 23 17:23:31 rpath kernel: audit(1151097811.628:509): avc:  denied  { send }
for  pid=2010 comm="nscd" saddr=152.1.4.77 src=32769 daddr=152.1.1.161 dest=53
netif=eth0 scontext=system_u:system_r:nscd_t:s0
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
Jun 23 17:23:31 rpath kernel: audit(1151097811.628:510): avc:  denied  { send }
for  pid=2010 comm="nscd" saddr=152.1.4.77 src=32769 daddr=152.1.1.206 dest=53
netif=eth0 scontext=system_u:system_r:nscd_t:s0
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet

Version-Release number of selected component (if applicable):
selinux-policy-targeted-2.3.1-1
Comment 1 Daniel Walsh 2006-07-11 16:02:17 EDT
Fixed in selinux-policy-2.3.2-1
Comment 2 Rahul Sundaram 2006-07-20 20:01:49 EDT

Closing as per last comment. 

Note You need to log in before you can comment on or make changes to this bug.